Sound Data Management Training - Support #519

Support # 483 (New): Events and Conferences

JISCMRD Progress Workshop
2012-09-26 12:21 PM - Steve Welburn

Status: Closed Start date: 2012-10-24
Priority: Normal Due date: 2012-10-25
Assignee: Steve Welburn % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Description

History

#1 - 2012-11-13 01:13 PM - Steve Welburn
- % Done changed from 0 to 100

#2 - 2012-11-13 01:13 PM - Steve Welburn

- Status changed from New to Closed
